Raul::ArrayStack< T > Class Template Reference
Realtime Audio Utility Library

An array that can also be used as a stack (with a fixed maximum size). More...

`#include <ArrayStack.hpp>`

Inheritance diagram for Raul::ArrayStack< T >:
Collaboration diagram for Raul::ArrayStack< T >:

## Public Member Functions

| ArrayStack (size_t size=0)
| ArrayStack (size_t size, T initial_value)
| ArrayStack (size_t size, const Array< T > &contents)
void | alloc (size_t num_elems)
void | alloc (size_t num_elems, T initial_value)
void | push_back (T n)
size_t | size () const
T & | operator[] (size_t i) const
T & | at (size_t i) const
Public Member Functions inherited from Raul::Array< T >
| Array (size_t size=0)
| Array (size_t size, T initial_value)
| Array (size_t size, const Array< T > &contents)
| Array (size_t size, const Array< T > &contents, T initial_value=T())
size_t | size () const
T & | operator[] (size_t i) const
T & | at (size_t i) const

## Detailed Description

### template<class T>
class Raul::ArrayStack< T >

An array that can also be used as a stack (with a fixed maximum size).

The documentation for this class was generated from the following file:

- ArrayStack.hpp